type LabeledSpinnerTask<Return> = [string, SpinnerTask<Return>];
type SpinnerTask<Return> = () => Promise<Return>;
declare function withSpinner<Return>(label: string, task: SpinnerTask<Return>): Promise<Return>;
declare function withSpinners(label: string, tasks: LabeledSpinnerTask<void>[]): Promise<void>;

export { type LabeledSpinnerTask, type SpinnerTask, withSpinner, withSpinners };
