declare function readDefaultsFromReadme(readme: () => Promise<string>, repository: () => Promise<string | undefined>): {
    logo: () => Promise<{
        height?: number;
        width?: number;
        alt: string;
        src: string;
    } | undefined>;
    title: () => Promise<string | undefined>;
    usage: () => Promise<string>;
};

export { readDefaultsFromReadme };
