import { Octokit } from 'octokit';
import { Options } from '../shared/types.js';
import 'zod';
import '../shared/codes.js';

declare function addOwnerAsAllContributor(octokit: Octokit | undefined, options: Pick<Options, "offline" | "owner">): Promise<void>;

export { addOwnerAsAllContributor };
