import { base } from "../base.js";
import { blockAllContributors } from "../blocks/blockAllContributors.js";
import { blockReleaseIt } from "../blocks/blockReleaseIt.js";
import { blockVitest } from "../blocks/blockVitest.js";
import { presetMinimal } from "./presetMinimal.js";
const presetCommon = base.createPreset({
  about: {
    description: "Bare starters plus testing and automation for all-contributors and releases.",
    name: "Common"
  },
  blocks: [
    ...presetMinimal.blocks,
    blockAllContributors,
    blockReleaseIt,
    blockVitest
  ]
});
export {
  presetCommon
};
//# sourceMappingURL=presetCommon.js.map